# $Revision: 1.14 $, $Date: 2010/07/08 08:21:47 $

%define		module	medusa

Summary:	Framework for writing asynchronous socket-based servers
Summary(pl.UTF-8):	Szkielet do pisania asynchronicznych serwerów opartych na gniazdach
Name:		python-%{module}
Version:	0.5.4
Release:	6
License:	BSD-like (see LICENSE.txt)
Vendor:		Robin Dunn <robin@alldunn.com>
Group:		Development/Languages/Python
Source0:	http://www.amk.ca/files/python/%{module}-%{version}.tar.gz
# Source0-md5:	5d10505036bc38f8d4cb51d87516e069
URL:		http://www.amk.ca/python/code/medusa.html
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Medusa is an architecture for very-high-performance TCP/IP servers
(like HTTP, FTP, and SMTP). Medusa is different from most other
servers because it runs as a single process, multiplexing I/O with its
various client and server connections within a single process/thread.

%description -l pl.UTF-8
Medusa to architektura dla bardzo wysoko wydajnych serwerów TCP/IP
(jak HTTP, FTP czy SMTP). Medusa od większości innych serwerów różni
się tym, że działa jako pojedynczy proces, zwielokrotniający
wejście/wyjście na różne połączenia klientów i serwerów z poziomu
jednego procesu/wątku.

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="%{rpmcflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt TODO.txt CHANGES.txt LICENSE.txt docs
%{py_sitescriptdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-medusa.spec,v $
Revision 1.14  2010/07/08 08:21:47  arekm
- release 6

Revision 1.13  2008/10/03 17:53:38  arekm
- release 5

Revision 1.12  2008/07/27 23:00:29  arekm
- release 4

Revision 1.11  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.9  2006/09/27 20:07:20  wrobell
- rel. 3 to rebuild with python 2.5 (final)

Revision 1.8  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.7  2004/12/25 15:43:02  saq
- release 2 for rebuild with python 2.4

Revision 1.6  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.5  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/03/18 11:05:14  radzio
adapterized

Revision 1.3  2004/03/16 19:06:42  qboosh
- filled License

Revision 1.2  2004/03/16 19:04:02  qboosh
- pl
